Bug#763602: Backtrace for "Crashes on startup with "Attempt to unlock mutex that was not locked""

2014-10-01 Thread Claudius Hubig
Okay, this seems to be a bug in Python?

There is also a very similar issue with reportbug at
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758619 but that
doesn’t have an immediate solution either.

(Backtrace from gdb below)

Best,

Claudius

$ gdb --args python /usr/bin/mirage
GNU gdb (Debian 7.7.1+dfsg-3) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later 
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
.
Find the GDB manual and other documentation resources online at:
.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from python...Reading symbols from 
/usr/lib/debug//usr/bin/python2.7...done.
done.
(gdb) run
Starting program: /usr/bin/python /usr/bin/mirage
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
/usr/lib/python2.7/dist-packages/mirage.py:608: Warning: The property 
GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be 
removed in a future version.
  self.window.set_property('allow-shrink', False)
[New Thread 0x7fffe6e8b700 (LWP 23079)]
Attempt to unlock mutex that was not locked

Program received signal SIGABRT, Aborted.
0x76f29077 in __GI_raise (sig=sig@entry=6) at 
../nptl/sysdeps/unix/sysv/linux/raise.c:56
56  ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) bt full
#0  0x76f29077 in __GI_raise (sig=sig@entry=6) at 
../nptl/sysdeps/unix/sysv/linux/raise.c:56
resultvar = 0
pid = 23075
selftid = 23075
#1  0x76f2a458 in __GI_abort () at abort.c:89
save_stage = 2
act = {__sigaction_handler = {sa_handler = 0x31fc4, sa_sigaction = 
0x31fc4}, sa_mask = {__val = {140737340076128, 44, 140737323936992, 44, 
140737336735971, 44, 140737340076128, 
  140737323936992, 140737336739894, 140737340076128, 1, 44, 44, 0, 
140737336699069, 14539744}}, sa_flags = 0, sa_restorer = 0x758aad80 
<_PyGObject_API>}
sigs = {__val = {32, 0 }}
#2  0x762d295d in g_mutex_unlock_slowpath (mutex=, 
prev=) at 
/build/glib2.0-Dv_k6u/glib2.0-2.42.0/./glib/gthread-posix.c:1327
No locals.
#3  0x74eebbbf in gtk_main () from 
/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
#4  0x7559fff7 in _wrap_gtk_main (self=) at 
/tmp/buildd/pygtk-2.24.0/gtk/gtk.override:1240
_save = 0x9ab0a0
main_watch = 0xe4d670
#5  0x004ca6c4 in call_function (oparg=, 
pp_stack=) at ../Python/ceval.c:4005
meth = 0x8
self = 
flags = 0
tstate = 0x9ab0a0
func = 
w = 
nk = 10137760
n = -148273264
pfunc = 0x77fbdf50
#6  PyEval_EvalFrameEx () at ../Python/ceval.c:2667
sp = 0x77fbdf58
opcode = 0
t = 0x0
#7  0x004ca272 in fast_function (nk=, na=, n=, pp_stack=, func=) at 
../Python/ceval.c:4107
f = Frame 0x77fbddd0, for file 
/usr/lib/python2.7/dist-packages/mirage.py, line 4579, in main 
(self=, 
layout=, ss_stop=, window=, 
action_names=['Open in GIMP', 'Create Thumbnail', 'Create Thumbnails', 'Move to 
Favorites'], statusbar=, 
running_custom_actions=False, recentfiles=[], listwrap_mode=0, 
start_in_fullscreen=False, image_list=[], updating_adjustments=False, 
open_mode=0, ss_delayspin=, 
thumb_sel_handler=605L, image_zoomed=False, preloadimg_next_in_list=-1, 
use_last_dir=False, thumbcell=<...(truncated)
tstate = 0x9ab0a0
stack = 0x0
co = 0x5a23
globals = 
argdefs = 0x0
#8  call_function (oparg=, pp_stack=) at 
../Python/ceval.c:4042
func = 
w = 
nk = 10137760
n = -148273264
pfunc = 0x77e8f1c8
#9  PyEval_EvalFrameEx () at ../Python/ceval.c:2667
sp = 0x77e8f1d0
opcode = -134488624
t = Frame 0x77fbddd0, for file 
/usr/lib/python2.7/dist-packages/mirage.py, line 4579, in main 
(self=, 
layout=, ss_stop=, window=, 
action_names=['Open in GIMP', 'Create Thumbnail', 'Create Thumbnails', 'Move to 
Favorites'], statusbar=, 
running_custom_actions=False, recentfiles=[], listwrap_mode=0, 
start_in_fullscreen=False, image_list=[], updating_adjustments=False, 
open_mode=0, ss_delayspin=, 
thumb_sel_handler=605L, image_zoomed=False, preloadimg_next_in_list=-1, 
use_last_dir=False, thumbcell=<...(truncated)
#10 0x004c8329 in PyEval_EvalCodeEx () at ../Python/ceval.c:3253
f = 
retval = 
fastlocals = 0x76332ce0
tstate = 

Bug#763602: Crashes on startup with "Attempt to unlock mutex that was not locked"

2014-10-01 Thread Claudius Hubig
Package: mirage
Version: 0.9.5.1-3
Severity: grave

Dear maintainer,

after the last update, mirage crashes immediately on startup:

$ mirage
/usr/lib/python2.7/dist-packages/mirage.py:608: Warning: The property 
GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be 
removed in a future version.
  self.window.set_property('allow-shrink', False)
Attempt to unlock mutex that was not locked
Aborted
$ mirage
/usr/lib/python2.7/dist-packages/mirage.py:608: Warning: The property 
GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be 
removed in a future version.
  self.window.set_property('allow-shrink', False)
Attempt to unlock mutex that was not locked
Aborted
$ export LC_ALL=C
$ mirage
/usr/lib/python2.7/dist-packages/mirage.py:608: Warning: The property 
GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be 
removed in a future version.
  self.window.set_property('allow-shrink', False)
Attempt to unlock mutex that was not locked
Aborted
$ which mirage
/usr/bin/mirage
$ python2.7 /usr/bin/mirage
/usr/lib/python2.7/dist-packages/mirage.py:608: Warning: The property 
GtkWindow:allow-shrink is deprecated and shouldn't be used anymore. It will be 
removed in a future version.
  self.window.set_property('allow-shrink', False)
Attempt to unlock mutex that was not locked
Aborted
$ python3 /usr/bin/mirage
Traceback (most recent call last):
  File "/usr/bin/mirage", line 27, in 
import mirage
ImportError: No module named 'mirage'

If you need any further information, I’d be glad to assist you.

Best,

Claudius

-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable-updates'), (500, 'unstable'), 
(500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mirage depends on:
ii  libc62.19-11
ii  libx11-6 2:1.6.2-3
ii  python   2.7.8-1
ii  python-gtk2  2.24.0-4

mirage recommends no packages.

Versions of packages mirage suggests:
ii  gimp 2.8.14-1
ii  imagemagick  8:6.8.9.6-4
ii  menu 2.1.47

-- no debconf information


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: 
https://lists.debian.org/20141001090355.14748.11658.report...@ares.home.chubig.net



Re: Bug#763619: libmeanwhile-dev: package long description refers to old library package name

2014-10-01 Thread Andrei POPESCU
Control: reassign -1 libmeanwhile-dev 1.0.2-5

On Mi, 01 oct 14, 08:38:34, The Wanderer wrote:
> Source: libmeanwhile-dev
> Version: 1.0.2-5
> Severity: minor
> 
> Dear Maintainer,
> 
> The long description of libmeanwhile-dev states that the package
> "contains development files of the libmeanwhile0 library.". However, the
> package itself now Depends: on libmeanwhile1, and libmeanwhile0 appears
> to no longer exist.
> 
> It is more common for -dev packages to simply state that the package
> contains the development files, without specifying any particular
> package name or version, which is already implicitly indicated by the
> package dependencies. This mismatch is probably an example of one of the
> reasons why.
> 
> Please address this discrepancy, either by removing the package-name
> reference, or by updating it to refer to the currently live package
> name.
> 
> 
> -- System Information:
> Debian Release: jessie/sid
>   APT prefers testing
>   APT policy: (500, 'testing'), (500, 'stable')
> Architecture: amd64 (x86_64)
> Foreign Architectures: i386
> 
> Kernel: Linux 3.14-1-amd64 (SMP w/12 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash

-- 
http://wiki.debian.org/FAQsFromDebianUser
Offtopic discussions among Debian users and developers:
http://lists.alioth.debian.org/mailman/listinfo/d-community-offtopic
http://nuvreauspam.ro/gpg-transition.txt


signature.asc
Description: Digital signature


Processed: Re: Bug#763619: libmeanwhile-dev: package long description refers to old library package name

2014-10-01 Thread Debian Bug Tracking System
Processing control commands:

> reassign -1 libmeanwhile-dev 1.0.2-5
Bug #763619 [src:libmeanwhile-dev] libmeanwhile-dev: package long description 
refers to old library package name
Warning: Unknown package 'src:libmeanwhile-dev'
Bug reassigned from package 'src:libmeanwhile-dev' to 'libmeanwhile-dev'.
No longer marked as found in versions libmeanwhile-dev/1.0.2-5.
Ignoring request to alter fixed versions of bug #763619 to the same values 
previously set
Bug #763619 [libmeanwhile-dev] libmeanwhile-dev: package long description 
refers to old library package name
Marked as found in versions meanwhile/1.0.2-5.

-- 
763619: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763619
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems


--
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: 
https://lists.debian.org/handler.s.b763619.141218686018712.transcr...@bugs.debian.org



Processing of regexxer_0.9-5_source.changes

2014-10-01 Thread Debian FTP Masters
regexxer_0.9-5_source.changes uploaded successfully to localhost
along with the files:
  regexxer_0.9-5.dsc
  regexxer_0.9-5.debian.tar.xz

Greetings,

Your Debian queue daemon (running on host franck.debian.org)


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: https://lists.debian.org/e1xzoqj-0001v3...@franck.debian.org



regexxer_0.9-5_source.changes ACCEPTED into unstable

2014-10-01 Thread Debian FTP Masters


Accepted:

-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Wed, 01 Oct 2014 20:37:04 +0200
Source: regexxer
Binary: regexxer
Architecture: source
Version: 0.9-5
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group 
Changed-By: Aurelien Jarno 
Description:
 regexxer   - visual search and replace tool
Changes:
 regexxer (0.9-5) unstable; urgency=medium
 .
   * QA upload.
   * debian/rules: use dh-autoreconf to fix mismatch between autoconf and
 intltool causing FTBFS on some architectures.
Checksums-Sha1:
 70fc6dd295a17b4376d85925901c6f6c4aa57d27 1844 regexxer_0.9-5.dsc
 9bba946f26d075563526ea431976888d23ba747f 4068 regexxer_0.9-5.debian.tar.xz
Checksums-Sha256:
 d63c4df9c371e97a2aaf2048f28635b3d242747ccd71e8d21c1c337cdc4456ee 1844 
regexxer_0.9-5.dsc
 00a9c438ae4f32600b64a93843b03db80f0205fdb58ea3e2e68825d62dd90394 4068 
regexxer_0.9-5.debian.tar.xz
Files:
 f4e68934fcc263be031bc8c1e851e180 1844 devel optional regexxer_0.9-5.dsc
 873c30db17d3c854f5dc96618da7b4d1 4068 devel optional 
regexxer_0.9-5.debian.tar.xz

-BEGIN PGP SIGNATURE-
Version: GnuPG v1

iQIVAwUBVCxKO7qceAYd3YybAQhfMQ/+Jpc4oZBhA08JaoLe5Y7X8cjp64tIfqJv
z4xEvq1Rig9GXWIAuj3EJo0eFO7wsaC2U+p60zc+x+gO1LM9By0eKraen2X9qkFl
ILYr7YkzF0yMaCTkEnjTmjrhysjSCLu+xld6Jyogt/9q5L8MTn7MxA5+cBSXpduN
wKWnQCwOFCDLw6JRmsp/g7obdWlME5pm8FRTjX9Y90lHosIaLtziF0Z2xX+PoKZM
OppLVf9EnIpEFxiUu8kULr4HkRmOTfP2FGCaDcXzsxqp+mUTPPvfDtmh6LtpkiKS
c/typXEYZOAvlpoXSuykaUMljGakarxRGKASQ/EFUKjiD90L1wAlDhLeL4VJK8IE
JOUj2zu09XT/Bx8NIZczrYZx6kzbij5Ma1+iS5XHltWDsGhtc7V+oXWFJMKKR/gW
+nRsHIoyOXqYsdsliFrmVrbAd3XxfXeftUiZvqakB1Oxtf2AcQ5L7h7hjBIAkkcj
dYUbz48YsLBMxc3DIh7Ii4Cz08vh1ilIwXdMsFUd58HHLSTd1UtW/uZ2VQbqxWRq
jbwLQMM4YlrO5ei0bsKan6bYVOsH9O01s/zAmGEgM+r6tnw4ToB9Y/euZI7p9wGB
UZN/FAzGfuz6P5UKFyc1fCk01Gr/F733VWBWFlp8qR1m9Fgt2zvG03crBA0NCvt/
P6Sgdp2Qgk0=
=MD+R
-END PGP SIGNATURE-


Thank you for your contribution to Debian.


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: https://lists.debian.org/e1xzoys-0002vu...@franck.debian.org



Bug#763679: regexxer: FTBFS[kfreebsd-amd64,mips*]: related to -fPIC?

2014-10-01 Thread Steven Chamberlain
Package: regexxer
Version: 0.9-5
Severity: serious

Hi,

regexxer 0.9-5 FTBFS on kfreebsd-amd64, mips and mipsel:
https://buildd.debian.org/status/logs.php?pkg=regexxer&ver=0.9-5

from config.log:
| configure:3289: checking whether we are cross compiling
| configure:3297: gcc -o conftest -g -O2 -fstack-protector-strong -Wformat 
-Werror=format-security -Wall -D_FORTIFY_SOURCE=2 -Wl,-z,defs -Wl,-O1 
-Wl,--as-needed
|  -pie -Wl,-z,relro -Wl,-z,now conftest.c  >&5
| /usr/bin/ld.bfd.real: /tmp/ccGMnb8i.o: relocation R_X86_64_32 against 
`.rodata.str1.1' can not be used when making a shared object; recompile with 
-fPIC
| /tmp/ccGMnb8i.o: error adding symbols: Bad value
| collect2: error: ld returned 1 exit status
| configure:3301: $? = 1
| configure:3308: ./conftest
| /home/steven/regexxer-0.9/./configure: line 3310: ./conftest: No such file or 
directory
| configure:3312: $? = 127
| configure:3319: error: in `/home/steven/regexxer-0.9':
| configure:3321: error: cannot run C compiled programs.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-2-amd64-xenhvm-ipsec
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: 
https://lists.debian.org/20141001194335.93924.95974.report...@sid.kfreebsd-amd64.pyro.eu.org



Processing of regexxer_0.9-6_source.changes

2014-10-01 Thread Debian FTP Masters
regexxer_0.9-6_source.changes uploaded successfully to localhost
along with the files:
  regexxer_0.9-6.dsc
  regexxer_0.9-6.debian.tar.xz

Greetings,

Your Debian queue daemon (running on host franck.debian.org)


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: https://lists.debian.org/e1xzqhj-b1...@franck.debian.org



Bug#756794: marked as done (vsftpd: FTBFS on kfreebsd-*)

2014-10-01 Thread Debian Bug Tracking System
Your message dated Wed, 01 Oct 2014 19:09:53 +
with message-id 
and subject line Bug#756794: fixed in vsftpd 3.0.2-16
has caused the Debian Bug report #756794,
regarding vsftpd: FTBFS on kfreebsd-*
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
756794: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756794
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: vsftpd
Version: 3.0.2-15
Severity: serious
Justification: fails to build from source (but built successfully in the past)

vsftpd failed to build on kfreebsd-* with:
| gcc -c sysdeputil.c -g -O2 -fstack-protector --param=ssp-buffer-size=4 
-Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -idirafter dummyinc
| sysdeputil.c: In function 'do_checkcap':
| sysdeputil.c:622:3: error: unknown type name 'cap_t'
|cap_t current_caps = cap_get_proc();
|^
| sysdeputil.c:624:20: warning: comparison between pointer and integer
|if (current_caps != NULL)
| ^
| sysdeputil.c: In function 'vsf_sysdep_adopt_capabilities':
| sysdeputil.c:635:3: error: unknown type name 'cap_value_t'
|cap_value_t cap_value;
|^
| sysdeputil.c:636:3: error: unknown type name 'cap_t'
|cap_t adopt_caps = cap_init();
|^
| sysdeputil.c:639:17: error: 'CAP_CHOWN' undeclared (first use in this 
function)
|  cap_value = CAP_CHOWN;
|  ^
| sysdeputil.c:639:17: note: each undeclared identifier is reported only once 
for each function it appears in
| sysdeputil.c:640:30: error: 'CAP_EFFECTIVE' undeclared (first use in this 
function)
|  cap_set_flag(adopt_caps, CAP_EFFECTIVE, 1, &cap_value, CAP_SET);
|   ^
| sysdeputil.c:640:60: error: 'CAP_SET' undeclared (first use in this function)
|  cap_set_flag(adopt_caps, CAP_EFFECTIVE, 1, &cap_value, CAP_SET);
| ^
| sysdeputil.c:641:30: error: 'CAP_PERMITTED' undeclared (first use in this 
function)
|  cap_set_flag(adopt_caps, CAP_PERMITTED, 1, &cap_value, CAP_SET);
|   ^
| sysdeputil.c:645:17: error: 'CAP_NET_BIND_SERVICE' undeclared (first use in 
this function)
|  cap_value = CAP_NET_BIND_SERVICE;
|  ^
| make[2]: *** [sysdeputil.o] Error 1

Build logs are available from
https://buildd.debian.org/status/package.php?p=vsftpd. Please take a
look.

Cheers
-- 
Sebastian Ramacher


signature.asc
Description: Digital signature
--- End Message ---
--- Begin Message ---
Source: vsftpd
Source-Version: 3.0.2-16

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 756...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jörg Frings-Fürst  (supplier of updated vsftpd 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Tue, 30 Sep 2014 07:30:37 +0200
Source: vsftpd
Binary: vsftpd vsftpd-dbg
Architecture: source amd64
Version: 3.0.2-16
Distribution: unstable
Urgency: medium
Maintainer: Jörg Frings-Fürst 
Changed-By: Jörg Frings-Fürst 
Description:
 vsftpd - lightweight, efficient FTP server written for security
 vsftpd-dbg - lightweight, efficient FTP server written for security (debug)
Closes: 746480 754449 754762 756094 756794
Changes:
 vsftpd (3.0.2-16) unstable; urgency=medium
 .
   * New maintainer (Closes: #756094).
   * debian/control:
 - Set myself as maintainer.
 - Replace vacant Vcs to alioth.
 - Remove field "priority" in package vsftpd-dbg.
 - Bump Standards-Version to 3.9.6 (no changes required).
   * debian/source/options:
 - Set compression-level to 9 to save space.
   * debian/vsftpd.init:
 - Add "Default-Stop" for level 0 & 6.
   * debian/rules:
 - At dh_installinit add Stoplevel 0 & 6.
   * debian/vsftpd.service:
 - Remove obsolete target "syslog.target".
   * debian/vsftpd.lintian-overrides:
 - Add override "binary-without-manpage" for "/usr/bin/vsftpdwho",
   a 3 line shell script.
   * debian/copyright:
 - Add myself to the list of authors for debian/*.
 - Add Daniel Jacobowitz for *.
   * New 

Bug#754449: marked as done (vsftpd reports UTF-8 capability even if it shouldn't)

2014-10-01 Thread Debian Bug Tracking System
Your message dated Wed, 01 Oct 2014 19:09:53 +
with message-id 
and subject line Bug#754449: fixed in vsftpd 3.0.2-16
has caused the Debian Bug report #754449,
regarding vsftpd reports UTF-8 capability even if it shouldn't
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
754449: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754449
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---

Package: vsftpd
Version: 2.3.5-3

Dear Maintainer,

Debian patch debian/patches/07-utf8.patch adds an "utf8_filesystem"
config option and if it is enabled, vsftpd reports UTF-8 capability
(in file features.c, around line 32). However, UTF-8 capability is
also reported unconditionally at line 55, so we get incorrect
filenames when the local host is not using UTF-8.

I suggest removing the unconditional report:



--- vsftpd-2.3.5.orig/features.c  2011-12-14 16:57:32.0 +0100
+++ vsftpd-2.3.5/features.c  2014-07-11 09:53:09.0 +0200
@@ -48,7 +52,6 @@ handle_feat(struct vsf_session* p_sess)
   vsf_cmdio_write_raw(p_sess, " REST STREAM\r\n");
   vsf_cmdio_write_raw(p_sess, " SIZE\r\n");
   vsf_cmdio_write_raw(p_sess, " TVFS\r\n");
-  vsf_cmdio_write_raw(p_sess, " UTF8\r\n");
   vsf_cmdio_write(p_sess, FTP_FEAT, "End");
 }



OS version: Debian GNU/Linux 7.5 (Wheezy)
Kernel version: Linux ftp-server 2.6.34.14 #1 SMP Thu Jan 24 18:00:00 CET 2013 
i686 GNU/Linux
libc version:   2.13-38+deb7u1
Locale: en_US.ISO-8859-2
--- End Message ---
--- Begin Message ---
Source: vsftpd
Source-Version: 3.0.2-16

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 754...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jörg Frings-Fürst  (supplier of updated vsftpd 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Tue, 30 Sep 2014 07:30:37 +0200
Source: vsftpd
Binary: vsftpd vsftpd-dbg
Architecture: source amd64
Version: 3.0.2-16
Distribution: unstable
Urgency: medium
Maintainer: Jörg Frings-Fürst 
Changed-By: Jörg Frings-Fürst 
Description:
 vsftpd - lightweight, efficient FTP server written for security
 vsftpd-dbg - lightweight, efficient FTP server written for security (debug)
Closes: 746480 754449 754762 756094 756794
Changes:
 vsftpd (3.0.2-16) unstable; urgency=medium
 .
   * New maintainer (Closes: #756094).
   * debian/control:
 - Set myself as maintainer.
 - Replace vacant Vcs to alioth.
 - Remove field "priority" in package vsftpd-dbg.
 - Bump Standards-Version to 3.9.6 (no changes required).
   * debian/source/options:
 - Set compression-level to 9 to save space.
   * debian/vsftpd.init:
 - Add "Default-Stop" for level 0 & 6.
   * debian/rules:
 - At dh_installinit add Stoplevel 0 & 6.
   * debian/vsftpd.service:
 - Remove obsolete target "syslog.target".
   * debian/vsftpd.lintian-overrides:
 - Add override "binary-without-manpage" for "/usr/bin/vsftpdwho",
   a 3 line shell script.
   * debian/copyright:
 - Add myself to the list of authors for debian/*.
 - Add Daniel Jacobowitz for *.
   * New debian/patches/0020-manpage-hyphen.patch.
 - Escape minus in all manpages.
   * New debian/patches/0025-unconditional_utf8_report.patch.
 - Remove unconditional UTF-8 report, as conditional report
   is enabled per 0007-utf8.patch (Closes: 754449).
   Thanks to: Bartos-Elekes Zsolt !
   * New debian/patches/0030-kfreebsd.patch (Closes: #756794).
 - Add condition for missing libcab{2}-dev on kfreebsd*.
   Thanks to: Steven Chamberlain !
   * Add DEP8 tests (Closes: #746480).
 - Thanks to: Robie Basak !
   * debian/vsftpd.init:
 - Add while loop to prevent error on
   slow PID file generation  (Closes: #754762).
   Thanks to: Stephen Powell !
   * New missing debian/watch.
Checksums-Sha1:
 05145a8c5dcc926af9dce8ff8a2887a11f643e6e 1963 vsftpd_3.0.2-16.dsc
 69a609a9a39a7952fdffb70abfb2bcbbb2df285e 152756 vsftpd_3.0.2.orig.tar.xz
 fd9e303e3a5c3f923c382a5f3d5b6342d41aa164 28104 vsftpd_3.0.2-16.debian.tar.xz
 0deaac6fb5ee853e426809a82d6927d486ccfcf0

Bug#746480: marked as done (Please add dep8 test)

2014-10-01 Thread Debian Bug Tracking System
Your message dated Wed, 01 Oct 2014 19:09:53 +
with message-id 
and subject line Bug#746480: fixed in vsftpd 3.0.2-16
has caused the Debian Bug report #746480,
regarding Please add dep8 test
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
746480: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=746480
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: src:vsftpd
Version: 3.0.2-14
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu utopic ubuntu-patch

Hi,

I've written the attached dep8 test for Ubuntu. This should be useful
for Debian as well to help prevent regressions in the vsftpd package.

HTH,

Robie
From 3381547f4371c972db5758a04639b9f0fbe7ee41 Mon Sep 17 00:00:00 2001
From: Robie Basak 
Date: Tue, 29 Apr 2014 11:07:32 +
Subject: [PATCH]   * Add dep8 test.

---
 debian/control   |  1 +
 debian/tests/control |  6 ++
 debian/tests/smoke   | 45 +
 3 files changed, 52 insertions(+)
 create mode 100644 debian/tests/control
 create mode 100644 debian/tests/smoke

diff --git a/debian/control b/debian/control
index d192462..fec25ad 100644
--- a/debian/control
+++ b/debian/control
@@ -14,6 +14,7 @@ Standards-Version: 3.9.5
 Homepage: http://vsftpd.beasts.org/
 Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/vsftpd.git
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/vsftpd.git
+XS-Testsuite: autopkgtest
 
 Package: vsftpd
 Architecture: any
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 000..0245c2a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,6 @@
+# Ideally, this test should be run in both LXC and qemu environments, since
+# behaviour was shown to fail in only one environment in LP: #1219857. But we
+# do not have the ability to request this yet.
+Tests: smoke
+Depends: vsftpd
+Restrictions: needs-root allow-stderr breaks-testbed
diff --git a/debian/tests/smoke b/debian/tests/smoke
new file mode 100644
index 000..1bee1c0
--- /dev/null
+++ b/debian/tests/smoke
@@ -0,0 +1,45 @@
+#!/bin/sh
+set -ex
+
+# Simple smoke test for vsftpd. Tests get and put functionality.
+# Author: Robie Basak 
+# dep8 restrictions: breaks-bestbed needs-root allow-stderr
+
+# Written in response to https://launchpad.net/bugs/1219857
+# This passed on LXC, affecting qemu only. So it is advisable to test both.
+
+# Enable writes, to test both get and put
+sed -i 's/^#\(write_enable=YES\)$/\1/' /etc/vsftpd.conf
+service vsftpd reload
+
+# Create test user
+adduser --disabled-password --gecos '' ftptest
+echo ftptest:dep8|chpasswd ftptest
+
+# Set up .netrc so that the ftp client can login in automatically
+> ~ftptest/.netrc
+chown ftptest: ~ftptest/.netrc
+chmod 600 ~ftptest/.netrc
+cat > ~ftptest/.netrc < ~ftptest/local/put
+echo "Hello, world! 2." > ~ftptest/remote/get
+chown -R ftptest: ~ftptest/local ~ftptest/remote
+
+su -c 'ftp localhost' - ftptest <

signature.asc
Description: Digital signature
--- End Message ---
--- Begin Message ---
Source: vsftpd
Source-Version: 3.0.2-16

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 746...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jörg Frings-Fürst  (supplier of updated vsftpd 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Tue, 30 Sep 2014 07:30:37 +0200
Source: vsftpd
Binary: vsftpd vsftpd-dbg
Architecture: source amd64
Version: 3.0.2-16
Distribution: unstable
Urgency: medium
Maintainer: Jörg Frings-Fürst 
Changed-By: Jörg Frings-Fürst 
Description:
 vsftpd - lightweight, efficient FTP server written for security
 vsftpd-dbg - lightweight, efficient FTP server written for security (debug)
Closes: 746480 754449 754762 756094 756794
Changes:
 vsftpd (3.0.2-16) unstable; urgency=medium
 .
   * New maintainer (Closes: #756094).
   * debian/control:
 - Set myself as maintainer.
 - Replace vacant Vcs to alioth.
 - Remove field "priority" in package vsftpd-dbg.
 - Bump Standards-Version to 3.9.6 (no changes required).

Bug#754762: marked as done (message "vsftpd failed - probably invalid config." received in error during boot)

2014-10-01 Thread Debian Bug Tracking System
Your message dated Wed, 01 Oct 2014 19:09:53 +
with message-id 
and subject line Bug#754762: fixed in vsftpd 3.0.2-16
has caused the Debian Bug report #754762,
regarding message "vsftpd failed - probably invalid config." received in error 
during boot
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
754762: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754762
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: vsftpd
Version: 3.0.2-14
Severity: minor

message "vsftpd failed - probably invalid config." is received during boot.
Yet the server started normally.  This message is issued by /etc/init.d/vsftpd.
This message is not issued on every boot, only occasionally.

This appears to be a timing problem.  The server is started asynchronously
from this script.  The script then immediately looks for the PID file; and if
it doesn't find it issues the above error message.  But the server may not yet
have had time to create the PID file.

Adding "sleep 1" between

start-stop-daemon --start --background -m --oknodo --pidfile 
/var/run/vsftpd/vsftpd.pid --exec ${DAEMON}

and

_PID="$(if [ -e /var/run/vsftpd/vsftpd.pid ]; then cat 
/var/run/vsftpd/vsftpd.pid; fi)"

seems to fix the problem for me.

-- 
  .''`. Stephen Powell
 : :'  :
 `. `'`
   `-
--- End Message ---
--- Begin Message ---
Source: vsftpd
Source-Version: 3.0.2-16

We believe that the bug you reported is fixed in the latest version of
vsftpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 754...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jörg Frings-Fürst  (supplier of updated vsftpd 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Tue, 30 Sep 2014 07:30:37 +0200
Source: vsftpd
Binary: vsftpd vsftpd-dbg
Architecture: source amd64
Version: 3.0.2-16
Distribution: unstable
Urgency: medium
Maintainer: Jörg Frings-Fürst 
Changed-By: Jörg Frings-Fürst 
Description:
 vsftpd - lightweight, efficient FTP server written for security
 vsftpd-dbg - lightweight, efficient FTP server written for security (debug)
Closes: 746480 754449 754762 756094 756794
Changes:
 vsftpd (3.0.2-16) unstable; urgency=medium
 .
   * New maintainer (Closes: #756094).
   * debian/control:
 - Set myself as maintainer.
 - Replace vacant Vcs to alioth.
 - Remove field "priority" in package vsftpd-dbg.
 - Bump Standards-Version to 3.9.6 (no changes required).
   * debian/source/options:
 - Set compression-level to 9 to save space.
   * debian/vsftpd.init:
 - Add "Default-Stop" for level 0 & 6.
   * debian/rules:
 - At dh_installinit add Stoplevel 0 & 6.
   * debian/vsftpd.service:
 - Remove obsolete target "syslog.target".
   * debian/vsftpd.lintian-overrides:
 - Add override "binary-without-manpage" for "/usr/bin/vsftpdwho",
   a 3 line shell script.
   * debian/copyright:
 - Add myself to the list of authors for debian/*.
 - Add Daniel Jacobowitz for *.
   * New debian/patches/0020-manpage-hyphen.patch.
 - Escape minus in all manpages.
   * New debian/patches/0025-unconditional_utf8_report.patch.
 - Remove unconditional UTF-8 report, as conditional report
   is enabled per 0007-utf8.patch (Closes: 754449).
   Thanks to: Bartos-Elekes Zsolt !
   * New debian/patches/0030-kfreebsd.patch (Closes: #756794).
 - Add condition for missing libcab{2}-dev on kfreebsd*.
   Thanks to: Steven Chamberlain !
   * Add DEP8 tests (Closes: #746480).
 - Thanks to: Robie Basak !
   * debian/vsftpd.init:
 - Add while loop to prevent error on
   slow PID file generation  (Closes: #754762).
   Thanks to: Stephen Powell !
   * New missing debian/watch.
Checksums-Sha1:
 05145a8c5dcc926af9dce8ff8a2887a11f643e6e 1963 vsftpd_3.0.2-16.dsc
 69a609a9a39a7952fdffb70abfb2bcbbb2df285e 152756 vsftpd_3.0.2.orig.tar.xz
 fd9e303e3a5c3f923c382a5f3d5b6342d41aa164 28104 vsftpd_3.0.2-16.debian.tar.xz
 0deaac6fb5ee853e426809a82d6927d486ccfcf0 148512 vsftpd_3.0.2-16_amd64.deb
 43f3f5409340e49529d9a24d15edd6cd70d8a099 220324 vsftpd-dbg_3.0.2-16_amd64.deb
Checksums-Sha256:
 c867fcadcaa9e13d7ec231f53a2acc93

Processing of kst_2.0.3-3_all.changes

2014-10-01 Thread Debian FTP Masters
kst_2.0.3-3_all.changes uploaded successfully to localhost
along with the files:
  kst-data_2.0.3-3_all.deb
  kst-doc_2.0.3-3_all.deb
  kst_2.0.3-3.dsc
  kst_2.0.3-3.debian.tar.xz

Greetings,

Your Debian queue daemon (running on host franck.debian.org)


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: https://lists.debian.org/e1xzqzi-0005im...@franck.debian.org



Bug#763679: marked as done (regexxer: FTBFS[kfreebsd-amd64,mips*]: related to -fPIC?)

2014-10-01 Thread Debian Bug Tracking System
Your message dated Wed, 1 Oct 2014 22:45:58 +0200
with message-id <20141001204558.ga6...@volta.rr44.fr>
and subject line Re: regexxer: FTBFS[kfreebsd-amd64,mips*]: related to -fPIC?
has caused the Debian Bug report #763679,
regarding regexxer: FTBFS[kfreebsd-amd64,mips*]: related to -fPIC?
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
763679: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763679
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: regexxer
Version: 0.9-5
Severity: serious

Hi,

regexxer 0.9-5 FTBFS on kfreebsd-amd64, mips and mipsel:
https://buildd.debian.org/status/logs.php?pkg=regexxer&ver=0.9-5

from config.log:
| configure:3289: checking whether we are cross compiling
| configure:3297: gcc -o conftest -g -O2 -fstack-protector-strong -Wformat 
-Werror=format-security -Wall -D_FORTIFY_SOURCE=2 -Wl,-z,defs -Wl,-O1 
-Wl,--as-needed
|  -pie -Wl,-z,relro -Wl,-z,now conftest.c  >&5
| /usr/bin/ld.bfd.real: /tmp/ccGMnb8i.o: relocation R_X86_64_32 against 
`.rodata.str1.1' can not be used when making a shared object; recompile with 
-fPIC
| /tmp/ccGMnb8i.o: error adding symbols: Bad value
| collect2: error: ld returned 1 exit status
| configure:3301: $? = 1
| configure:3308: ./conftest
| /home/steven/regexxer-0.9/./configure: line 3310: ./conftest: No such file or 
directory
| configure:3312: $? = 127
| configure:3319: error: in `/home/steven/regexxer-0.9':
| configure:3321: error: cannot run C compiled programs.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-2-amd64-xenhvm-ipsec
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
--- End Message ---
--- Begin Message ---
Version;: 0.9-6

On Wed, Oct 01, 2014 at 08:43:35PM +0100, Steven Chamberlain wrote:
> Package: regexxer
> Version: 0.9-5
> Severity: serious
> 
> Hi,
> 
> regexxer 0.9-5 FTBFS on kfreebsd-amd64, mips and mipsel:
> https://buildd.debian.org/status/logs.php?pkg=regexxer&ver=0.9-5
> 
> from config.log:
> | configure:3289: checking whether we are cross compiling
> | configure:3297: gcc -o conftest -g -O2 -fstack-protector-strong -Wformat 
> -Werror=format-security -Wall -D_FORTIFY_SOURCE=2 -Wl,-z,defs -Wl,-O1 
> -Wl,--as-needed
> |  -pie -Wl,-z,relro -Wl,-z,now conftest.c  >&5
> | /usr/bin/ld.bfd.real: /tmp/ccGMnb8i.o: relocation R_X86_64_32 against 
> `.rodata.str1.1' can not be used when making a shared object; recompile with 
> -fPIC
> | /tmp/ccGMnb8i.o: error adding symbols: Bad value
> | collect2: error: ld returned 1 exit status
> | configure:3301: $? = 1
> | configure:3308: ./conftest
> | /home/steven/regexxer-0.9/./configure: line 3310: ./conftest: No such file 
> or directory
> | configure:3312: $? = 127
> | configure:3319: error: in `/home/steven/regexxer-0.9':
> | configure:3321: error: cannot run C compiled programs.
> 

This is due to debian/rules forcing LDFLAGS to values correct for amd64,
but not consistent with other FLAGS variable. In that case, CFLAGS
misses -fPIE to match the -pie given to the linker.

That should be fixed in 0.9-6 which I have uploaded just at the
beginning of dinstall.

-- 
Aurelien Jarno  GPG: 4096R/1DDD8C9B
aurel...@aurel32.net http://www.aurel32.net--- End Message ---


kst_2.0.3-3_all.changes ACCEPTED into unstable

2014-10-01 Thread Debian FTP Masters


Accepted:

-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Wed, 01 Oct 2014 22:29:20 +0200
Source: kst
Binary: kst kst-data kst-doc libkst2core2 libkst2math2 libkst2widgets2
Architecture: source all
Version: 2.0.3-3
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group 
Changed-By: Felix Geyer 
Description:
 kst- scientific data plotting tool
 kst-data   - set of data files for kst
 kst-doc- set of tutorials for kst
 libkst2core2 - kst core library
 libkst2math2 - kst math library
 libkst2widgets2 - kst widgets library
Closes: 763242
Changes:
 kst (2.0.3-3) unstable; urgency=medium
 .
   * QA upload.
   * Fix building against cmake 3.0 harder. (Closes: #763242)
 - Extend debian/patches/fix-cmake-3.0.diff
Checksums-Sha1:
 a00978192b3a913d291e7d75857008b45390a340 2077 kst_2.0.3-3.dsc
 5bf33ab2841610c7cd1a136909454220464a4462 20972 kst_2.0.3-3.debian.tar.xz
 26fa4150c9298e187b142e4632a82e316e8f5ea9 623520 kst-data_2.0.3-3_all.deb
 0c21457e0a3767d88c3806f2627bab09b145127f 361896 kst-doc_2.0.3-3_all.deb
Checksums-Sha256:
 a67b0a1d63b4059aec7d0a32bb69040889a23318b176957b4771117ffb90be61 2077 
kst_2.0.3-3.dsc
 bb9ae13f5039c8de47e4baf7fd394415db294a15d0eff58e0a832fcb6892b91b 20972 
kst_2.0.3-3.debian.tar.xz
 f75f5c07146f12dbd4ded3163835ab5b2b1e112ba85496ec21d21aa25093f8b3 623520 
kst-data_2.0.3-3_all.deb
 094be4e8fb5a3e321818514eee60a266f58e22dba0fa4553eaee50d3badd53d0 361896 
kst-doc_2.0.3-3_all.deb
Files:
 8bc28fc8c093242a68e91bf55192aab2 623520 science optional 
kst-data_2.0.3-3_all.deb
 ae76d8817e82e84ff4327ed676860350 361896 doc optional kst-doc_2.0.3-3_all.deb
 9ac397ff41752ec81641760102bdd925 2077 science optional kst_2.0.3-3.dsc
 16963b4e83fed2d818aa12658f8ccfe9 20972 science optional 
kst_2.0.3-3.debian.tar.xz

-BEGIN PGP SIGNATURE-
Version: GnuPG v1

iQIcBAEBCAAGBQJULGoaAAoJEP4ixv2DE11FZfEP/it79vM0CWjFyJSTM5NRbBnA
xgglo0HhrTQG3h3ZK3aD8LGTCVOi0k4nVB/3BdHtNHQieoZsxpie2t0KC1PgL4yq
twkPvWSnb2G8b4CVcjXabj16RYrH33la2MiNp46v5QWP8PLJePjAlOm4jz1KutSV
DaZrbPbLAb4O/nie2HZpDsvFbZaRlnaLtw8+qhyp39FTRTQwu4lh8YodqWNj5yPo
GjSehqe/1w4nyhG8IYBhz76bxUy3hMfhOM5QzRPUwaznL5479WcWPTrvCSAg8Pin
/uNBInB9sG2TNV6IbSMP3TCQG/mAYWyG3rNIh6PIboESNN15s9TMFbuP/9jXOgRg
IXd6iEovecMErSdeS2s68pDU71Aed/PI5EbYuSix8rtAe6At8g+1gn6EZdGrONjO
4vdEoW1Int6pKTQnxrp1ucBVn/P1Anh4zy86UXCo7Z09+2SyvcPI74Pu6d24SyzA
9fmGCeFM8dVjTHP3eGnlJR7YqkZvCwi/4f0RkCYUSwWW1Zji5AlwCPk3fyoSIMlg
uIrD5JFIFcFhj+E+nXhSwNS6kHkq9vQgQZ03pyVo9fOPadOQ+Ol7t6RZNnLnHX1S
+UfGMdHmCZupnCRWOZJIRYTq+/p5WTQ81JIg4P2bBpCLFcAuGQvibgTSOvYc8+YX
T03z6yl5lfn4VrzaOX15
=eiI7
-END PGP SIGNATURE-


Thank you for your contribution to Debian.


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: https://lists.debian.org/e1xzrlo-hs...@franck.debian.org



regexxer_0.9-6_source.changes ACCEPTED into unstable

2014-10-01 Thread Debian FTP Masters


Accepted:

-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Wed, 01 Oct 2014 22:10:19 +0200
Source: regexxer
Binary: regexxer
Architecture: source
Version: 0.9-6
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group 
Changed-By: Aurelien Jarno 
Description:
 regexxer   - visual search and replace tool
Changes:
 regexxer (0.9-6) unstable; urgency=medium
 .
   * QA upload.
   * debian/rules: move the extra LDFLAGS to DEB_LDFLAGS_MAINT_APPEND and
 remove the ones already provided by dpkg-buildflags, so that all the
 build flags are consistent.
Checksums-Sha1:
 f4140553f71d44c564ff0f714aed10f42bdcbb18 1844 regexxer_0.9-6.dsc
 a7a0cea3e2434664f1adaf45e39deb74736987a8 4100 regexxer_0.9-6.debian.tar.xz
Checksums-Sha256:
 4b6717a1db532a187c0acc6c948d2e8f6e65851e5e809946a35d1a60599916ff 1844 
regexxer_0.9-6.dsc
 7faee1c74ceb76538f35685bbaa4586ead9a7910d0883c111d0fb787901a6539 4100 
regexxer_0.9-6.debian.tar.xz
Files:
 4e68133f49117ee4ecda12e898ef10c6 1844 devel optional regexxer_0.9-6.dsc
 fc9164b485ade43541927dd15c533ee9 4100 devel optional 
regexxer_0.9-6.debian.tar.xz

-BEGIN PGP SIGNATURE-
Version: GnuPG v1

iQIVAwUBVCxfuLqceAYd3YybAQhXYQ//Q9mGr7hmYKHO4CF2fmgMsfvqMF/PNQyj
XNRbftE8eyXfVcDZpvDui9miAAey1o95OplmNZcs7oKE72cSWSKUt7WCC9Y4Y2hU
b9HEzPC2+v679J58zNZgk544JvWWJ/qRjGRkhODsRUWluiZRSvuTHr6xQNGq4oJh
ULeetuN70dGtm3SW7SKNvYLze+aEjbg1xHFkONsSRYZkwKVlnHGjl/PUbfeVXyiM
/JvAy1TPpbx/UiOiF1Xme6z/fh+9h7vjwRQi9ob1RsG6Wj7Q2AF/CniZ65ctyJQn
Qw8A+KWSUqzkEpSbJ4x9AxlxJ5dQLr2rtiQIMgmL3ByXvDnGJpFUWvv+j5AEUR7d
RELuD4UQNw7NmGVUSAwEvkJKaQ61bvVfwUs8OZeQ0pMtJ0qZj/7W5e6HOrNX0MqC
qXjlqvEmYqPmMNCVUdtp480J9KoeEEfcQbEV1rwmSkP0Teg1FLcqHivd0mfFYhZa
0jHi/miuzKzLSRjvQ3bBBMBwk4zBVWoBHvTo9AW+7ZF5PBvC275cGC/F3d5gBxmU
Z0sAfiaQ4l7XLoq61pL2C4PBzeu14ublCJZy3jHqJ+Fyf/EhZxPVeHsK4/fpEO9a
DKglr8MKwEdKjA/41JkRw/pjQ2bCnkm5vt5CUVHTsA0R54JkZ5AHbJaGQ93y1AYq
yLnYD3gXVqQ=
=nLMl
-END PGP SIGNATURE-


Thank you for your contribution to Debian.


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: https://lists.debian.org/e1xzrnq-0001a1...@franck.debian.org



Bug#763242: marked as done (kst: FTBFS: :0:1: error: macro names must be identifiers)

2014-10-01 Thread Debian Bug Tracking System
Your message dated Wed, 01 Oct 2014 21:21:55 +
with message-id 
and subject line Bug#763242: fixed in kst 2.0.3-3
has caused the Debian Bug report #763242,
regarding kst: FTBFS: :0:1: error: macro names must be identifiers
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
763242: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=763242
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: kst
Version: 2.0.3-2
Severity: serious
Tags: jessie sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20140926 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part (hopefully):
> make[4]: Entering directory '/«PKGBUILDDIR»/obj-x86_64-linux-gnu'
> /usr/bin/cmake -E cmake_progress_report 
> /«PKGBUILDDIR»/obj-x86_64-linux-gnu/CMakeFiles 
> [  0%] Generating kstcore_pch.h.gch
> cd /«PKGBUILDDIR»/obj-x86_64-linux-gnu/src/libkst && /usr/bin/cmake -E remove 
> /«PKGBUILDDIR»/obj-x86_64-linux-gnu/src/libkst/kstcore_pch.h.gch
> cd /«PKGBUILDDIR»/obj-x86_64-linux-gnu/src/libkst && /usr/bin/c++ 
> -DKST_HAVE_SVN_REVISION_H  -DQT_GUI_LIB -DQT_CORE_LIB -DBUILD_KSTCORE -g -O2 
> -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 
> -Wall -lrt -g -fPIC -D -I /usr/include/qt4 -I /usr/include/qt4/QtGui -I 
> /usr/include/qt4/QtCore -I /«PKGBUILDDIR»/obj-x86_64-linux-gnu -I 
> /usr/include/qt4/QtDesigner -I /usr/include/qt4/QtDeclarative -I 
> /usr/include/qt4/QtScriptTools -I /usr/include/qt4/QtDBus -I 
> /usr/include/qt4/QtDesigner -I /usr/include/qt4/QtXml -I 
> /usr/include/qt4/QtSql -I /usr/include/qt4/QtOpenGL -I 
> /usr/include/qt4/QtNetwork -I /usr/include/qt4/QtXmlPatterns -I 
> /usr/include/qt4/QtHelp -I /usr/include/qt4/QtUiTools -I 
> /usr/include/qt4/QtTest -I /usr/include/qt4/QtScript -I 
> /usr/include/qt4/QtSvg -I /usr/include/qt4/Qt3Support -I 
> /usr/include/qt4/QtGui -I /usr/include/qt4/QtCore -I 
> /usr/share/qt4/mkspecs/default -I /usr/include/qt4 -I /usr/include/qt4/QtCore 
> -I /«PKGBUILDDIR»/src/libkst -I 
> /«PKGBUILDDIR»/obj-x86_64-linux-gnu/src/libkst -c 
> /«PKGBUILDDIR»/obj-x86_64-linux-gnu/src/libkst/kstcore_pch.h -o 
> /«PKGBUILDDIR»/obj-x86_64-linux-gnu/src/libkst/kstcore_pch.h.gch
> :0:1: error: macro names must be identifiers
> make[4]: *** [src/libkst/kstcore_pch.h.gch] Error 1

The full build log is available from:
   http://aws-logs.debian.net/ftbfs-logs/2014/09/26/kst_2.0.3-2_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.
--- End Message ---
--- Begin Message ---
Source: kst
Source-Version: 2.0.3-3

We believe that the bug you reported is fixed in the latest version of
kst, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 763...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Geyer  (supplier of updated kst package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-BEGIN PGP SIGNED MESSAGE-
Hash: SHA256

Format: 1.8
Date: Wed, 01 Oct 2014 22:29:20 +0200
Source: kst
Binary: kst kst-data kst-doc libkst2core2 libkst2math2 libkst2widgets2
Architecture: source all
Version: 2.0.3-3
Distribution: unstable
Urgency: medium
Maintainer: Debian QA Group 
Changed-By: Felix Geyer 
Description:
 kst- scientific data plotting tool
 kst-data   - set of data files for kst
 kst-doc- set of tutorials for kst
 libkst2core2 - kst core library
 libkst2math2 - kst math library
 libkst2widgets2 - kst widgets library
Closes: 763242
Changes:
 kst (2.0.3-3) unstable; urgency=medium
 .
   * QA upload.
   * Fix building against cmake 3.0 harder. (Closes: #763242)
 - Extend debian/patches/fix-cmake-3.0.diff
Checksums-Sha1:
 a00978192b3a913d291e7d75857008b45390a340 2077 kst_2.0.3-3.dsc
 5bf33ab2841610c7cd1a136909454220464a4462 20972 kst_2.0.3-3.debian.tar.xz
 26fa4150c9298e187b142e4632a82e316e8f5ea9 623520 kst-data_2.0.3-3_all.de